MONGOC_BULK_OPERATION_DELETE(3)

NAME
mongoc_bulk_operation_delete() - None

SYNOPSIS

void
mongoc_bulk_operation_delete (mongoc_bulk_operation_t *bulk,
                              const bson_t            *selector);

This function queues a delete operation as part of bulk that will delete all documents matching selector \&. To delete a single document, see mongoc_bulk_operation_remove_one(3) \&.

DEPRECATED

NOTE
    This function is deprecated and should not be used in new code.

Please use mongoc_bulk_operation_remove(3) instead.

PARAMETERS

bulk
    A mongoc_bulk_operation_t \&.

selector
    A bson_t \&.

ERRORS

Errors are propagated via mongoc_bulk_operation_execute(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.